package talentapi

import (
	"github.com/gogf/gf/net/ghttp"
	"youngmini_server/app/service/talent_service"
)

var TalentAuthGetApi = talentAuthGetApi{}

type talentAuthGetApi struct {}


// PlatformBrief 获取所有平台账户简略信息
func (*talentAuthGetApi)PlatformBrief(r *ghttp.Request) {
	res := talent_service.GetTalentAllPlatformBriefInfo(r)
	err := r.Response.WriteJson(res)
	if err != nil {
		panic("write response error")
	}
}

// PlatformDetail 获取单个平台账户详情
func (*talentAuthGetApi)PlatformDetail(r *ghttp.Request) {
	res := talent_service.OnGetTalentPlatformDetail(r)
	err := r.Response.WriteJson(res)
	if err != nil {
		panic("write response error")
	}
}

// TalentBriefInfo 获取达人简略信息
func (*talentAuthGetApi)TalentBriefInfo(r *ghttp.Request) {
	res := talent_service.OnGetTalentBriefInfo(r)
	err := r.Response.WriteJson(res)
	if err != nil {
		panic("write response error")
	}
}

// TalentDetailInfo 获取达人详细信息
func (*talentAuthGetApi)TalentDetailInfo(r *ghttp.Request)  {
	res := talent_service.OnGetTalentDetailInfo(r)
	err := r.Response.WriteJson(res)
	if err != nil {
		panic("write response error")
	}
}

// DeliveryAddr 获取收货地址列表
func (*talentAuthGetApi)DeliveryAddr(r *ghttp.Request) {
	res := talent_service.OnGetDeliveryAddr(r)
	err := r.Response.WriteJson(res)
	if err != nil {
		panic("write response error")
	}
}

// DeliveryAddrDetail 获取收货信息详情
func (*talentAuthGetApi)DeliveryAddrDetail(r *ghttp.Request) {
	res := talent_service.OnGetDeliveryAddrDetail(r)
	err := r.Response.WriteJson(res)
	if err != nil {
		panic("write response error")
	}
}

// BoBoCoinInfo 获取卜卜币收入和支出记录
func (*talentAuthGetApi)BoBoCoinInfo(r *ghttp.Request) {
	res := talent_service.GetBoBoCoinList(r)
	err := r.Response.WriteJson(res)
	if err != nil {
		panic("write response error")
	}
}

// BoBoCoinWithdrawal 获取提现信息，目前只有支付宝账号信息
func (*talentAuthGetApi)BoBoCoinWithdrawal(r *ghttp.Request) {
	res := talent_service.GetBoBoCoinWithdrawalInfo(r)
	err := r.Response.WriteJson(res)
	if err != nil {
		panic("write response error")
	}
}

// ExistOrder 获取达人已接的订单列表
func (*talentAuthGetApi)ExistOrder(r *ghttp.Request) {
	res := talent_service.GetOrderList(r)
	err := r.Response.WriteJson(res)
	if err != nil {
		panic("write response error")
	}
}

// GetPlatformFansCount 获取平台粉丝数
func (*talentAuthGetApi)GetPlatformFansCount(r *ghttp.Request) {
	res := talent_service.GetPlatformFansCount(r)
	err := r.Response.WriteJson(res)
	if err != nil {
		panic("write response error")
	}
}

func (*talentAuthGetApi)SignupPageTaskDetail(r *ghttp.Request) {
	res := talent_service.GetSignupPageTaskDetail(r)
	err := r.Response.WriteJson(res)
	if err != nil {
		panic("write response error")
	}
}

func (*talentAuthGetApi)OrderDetail(r *ghttp.Request) {
	res := talent_service.GetOrderDetail(r)
	err := r.Response.WriteJson(res)
	if err != nil {
		panic("write response error")
	}
}

func (*talentAuthGetApi)GetSampleExpressInfo(r *ghttp.Request) {
	res := talent_service.OnGetExpressInfo(r)
	err := r.Response.WriteJson(res)
	if err != nil {
		panic("write response error")
	}
}

func (*talentAuthGetApi)GetDraftInfo(r *ghttp.Request) {
	res := talent_service.OnGetDraftInfo(r)
	err := r.Response.WriteJson(res)
	if err != nil {
		panic("write response error")
	}
}

func (*talentAuthGetApi)GetArticle(r *ghttp.Request)  {
    res := talent_service.OnGetArticleInfo(r)
	err := r.Response.WriteJson(res)
	if err != nil {
		panic("write response error")
	}
}

func (*talentAuthGetApi)GetQualityLink(r *ghttp.Request)  {
	res := talent_service.OnGetPublishLinkInfo(r)
	err := r.Response.WriteJson(res)
	if err != nil {
		panic("write response error")
	}
}

func (*talentAuthGetApi)GetDataLink(r *ghttp.Request)  {
	res := talent_service.OnGetDataLinkInfo(r)
	err := r.Response.WriteJson(res)
	if err != nil {
		panic("write response error")
	}
}

func (*talentAuthGetApi)GetOrderCompleteInfo(r *ghttp.Request) {
	res := talent_service.OnGetOrderCompleteData(r)
	err := r.Response.WriteJson(res)
	if err != nil {
		panic("write response error")
	}
}

func (*talentAuthGetApi)GetOrderSettleState(r *ghttp.Request) {
	res := talent_service.GetBoBoCoinOrderSettleInfo(r)
	err := r.Response.WriteJson(res)
	if err != nil {
		panic("write response error")
	}
}

// GetOrderSignupPlatformInfo 获取订单
func (*talentAuthGetApi)GetOrderSignupPlatformInfo(r *ghttp.Request) {
	res := talent_service.GetOrderSignUpPlatformInfo(r)
	err := r.Response.WriteJson(res)
	if err != nil {
		panic("write response error")
	}
}

// GetOrderBriefInfo 获取订单的brief信息
func (*talentAuthGetApi)GetOrderBriefInfo(r *ghttp.Request) {
	res := talent_service.GetOrderBriefInfo(r)
	err := r.Response.WriteJson(res)
	if err != nil {
		panic("write response error")
	}
}

func (*talentAuthGetApi)IsLogin(r *ghttp.Request) {
	res := talent_service.IsLogin(r)
	err := r.Response.WriteJson(res)
	if err != nil {
		panic("write response error")
	}
}